## malaga 4.3

=== Makefile ===
# overall building and cleaning rules for Malaga ==============================

all:
	(cd source; $(MAKE) all)

new: clean all

clean:
	(cd source; $(MAKE) clean)

generic:
	(cd doc; $(MAKE) new; rm -f *.aux *.log *.toc *.ps)
	(cd grammars; $(MAKE) clean)
	(cd source; $(MAKE) clean)
	rm -f *~ doc/*~ tcl/*~ source/*~ man/man1/*~

public: generic all

# end of file =================================================================

=== doc/Makefile ===
# Generated automatically from Makefile.in by configure.
# building and cleaning rules for documentation ===============================

.SUFFIXES: .tex .dvi

# Compile a tex file twice to get the table of contents.
.tex.dvi:
	latex $<
	latex $<

all: malaga.dvi

new: clean all

clean:
	rm -f *.aux *.dvi *.log *.toc *.ps

# end of file =================================================================

=== grammars/Makefile ===
# Generated automatically from Makefile.in by configure.
# building and cleaning rules for Malaga example grammars =====================

all:
	(cd formal; malmake formal1.pro)
	(cd formal; malmake formal2.pro)
	(cd formal; malmake formal3.pro)
	(cd formal; malmake formal4.pro)
	(cd formal; malmake formal5.pro)
	(cd formal; malmake formal6.pro)
	(cd formal; malmake formal7.pro)
	(cd formal; malmake formal8.pro)
	(cd german; malmake german.pro)
	(cd numeral; malmake numeral.pro)

clean:
	(cd formal; rm -f *_c *~ *.cat)
	(cd german; rm -f *_c *~ *.cat)
	(cd numeral; rm -f *_c *~ *.cat)
	rm -f *~

new: clean all

# end of file =================================================================

## malaga 7.12

=== debian/changelog ===
malaga (7.12-9) unstable; urgency=medium

  * QA upload.
  * debian/rules: Fix build failure when building arch:all only.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 01 May 2022 13:18:29 -0700

malaga (7.12-8) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * QA upload.
  * debian/rules: Export FORCE_SOURCE_DATE=1 in order for texlive to
    respect SOURCE_DATE_EPOCH when generating .dvi, .pdf and .ps files.
    Closes: #995654
  * malaga-bin.preinst: Use "set -e" in script.
  * debian/control: Drop redundant Priority and Section fields.
  * Update to debhelper-compat 13.
  * debian/control: Set Rules-Requires-Root to "no".
  * libmalaga7: Switch ldconfig to use dpkg triggers.
  * debian/control: Update Standards-Version to 4.6.0.

  [ Helmut Grohne ]
  * Fix FTCBFS: Closes: #870727
    + Add cross.patch.
    + Do not build the documentation during arch-only.
    + Do not strip during install.

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 30 Apr 2022 20:50:59 -0700

malaga (7.12-7.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 00:33:19 +0100

malaga (7.12-7) unstable; urgency=low

  * QA upload.
  * Switch to "dh".
  * Switch to "3.0 (quilt)" source format.
  * Upgrade to debhelper compatibility level 9.
  * Drop watch file. Upstream source is no longer there.
  * Add ldconfig in postinst for libmalaga7 (lintian warning).
  * Source may be built with "dpkg-buildpackage -A". Closes: 805950.

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Apr 2016 11:51:00 +0200

malaga (7.12-6) unstable; urgency=medium

  * Orphaned package, set maintainer to Debian QA Group.

 -- Timo Jyrinki <timo@debian.org>  Fri, 04 Mar 2016 15:10:24 +0200

malaga (7.12-5.2) unstable; urgency=medium

  * Non maintainer upload.
  * Explicity call dh_autotools-dev_{update,restore}config to update
    config.{guess,sub} files.
  * Use dpkg-buildflags.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Aug 2014 11:24:54 +0200

malaga (7.12-5.1) unstable; urgency=medium

  * Non maintainer upload.
  * Build using dh-autoreconf. Closes: #755915.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Aug 2014 15:35:21 +0200

malaga (7.12-5) unstable; urgency=medium

  * Switch to emacs24 (Closes: #754023)

 -- Timo Jyrinki <timo@debian.org>  Wed, 09 Jul 2014 20:43:52 +0300

malaga (7.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: canvas.o: undefined reference to symbol
    'ceil@@GLIBC_2.2.5'":
    add patch link-libm.diff from Ubuntu / Matthias Klose:
    link against libm.
    (Closes: #713582)
  * Add patch texinfo.diff from Ubuntu / Matthias Klose:
    fix malaga.texi to work with newer texinfo.
    (Closes a not-yet-reported FTBFS bug)
  * Update patch install_info_fix.difff:
    - comment out call to install-info (happens via triggers)
    - drop redifinition of INSTALL_INFO
      (wrong path and not used anymore anyway)
    (Closes yet another not-yet-reported FTBFS bug)

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Nov 2013 17:38:17 +0100

malaga (7.12-4) unstable; urgency=low

  [ Sven Joachim ]
  * Do not unnecessesarily link against ncurses (Closes: #646740).

  [ Timo Jyrinki ]
  * Update Standards-Version
  * Fix debian-rules-missing-recommended-target
  * Fix package description lintian warnings
  * Update emacs dependency

 -- Timo Jyrinki <timo@debian.org>  Sat, 17 Dec 2011 12:03:46 +0200

malaga (7.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #619686).

 -- Luk Claes <luk@debian.org>  Mon, 30 May 2011 19:10:51 +0200

malaga (7.12-3) unstable; urgency=low

  * Change to depend on libreadline-dev
  * Update Standards-Version to 3.8.3
  * Lintian fixes
  - Tighten quilt dependency, add README.source
  - Add ${misc:Depends} to binary packages because of debhelper usage
  - Add dpkg (>= 1.15.4) | install-info dependency

 -- Timo Jyrinki <timo@debian.org>  Thu, 17 Sep 2009 18:53:50 +0300

malaga (7.12-2) unstable; urgency=low

  * Update maintainer address to my Debian address
  * Update compat level to 7
  * Update Standards-Version to 3.8.2
  * Update install scripts
  * Add malaga-rename-map_file.diff via quilt to prevent name clash
  - https://bugzilla.redhat.com/show_bug.cgi?id=502546
  * Convert earlier Makefile.in/malaga.el changes to patches as well

 -- Timo Jyrinki <timo@debian.org>  Wed, 17 Jun 2009 15:13:11 +0300

malaga (7.12-1) unstable; urgency=low

  * New upstream version
    - Add libcairo-dev dependency since malshow now uses cairo
  * Change require to autoload in emacsen-startup (Closes: #446235)
    - Modify upstream malaga.el accordingly
  * Update dependencies of malaga-mode to emacs22 | emacsen
  * Fix piuparts problem when upgrading from <= 7.8-4 (Closes: #454714)
  * Update Standards-Version to 3.7.3 (no changes required)
  * Update rules to not ignore make clean error (lintian)
  * Update malaga-doc.* to reflect change to single html file, update section

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Tue, 15 Apr 2008 16:48:51 +0300

malaga (7.11-1) unstable; urgency=low

  * New upstream version (Closes: #425366)
  * debian/copyright: also later GPL versions are allowed now in Malaga
  * Handle nostrip (Closes: #437597)

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Thu, 30 Aug 2007 22:59:03 +0300

malaga (7.9-1) unstable; urgency=low

  * New upstream version
  * Add a colon in changelog and remove DH_COMPAT from rules (Lintian)
  * Byte-compile malaga.el, add prerm/postinst (Closes: #385401)
  * Separate emacs mode into malaga-mode
  * Change dependencies to texlive

 -- Timo Jyrinki <timo.jyrinki@iki.fi>  Fri, 11 May 2007 17:20:23 +0300

malaga (7.8-4) unstable; urgency=low

  * Update descriptions as requested
  * Comment out the man-page generation, so that they're noticed as missing


=== debian/control ===
Source: malaga
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libglib2.0-dev, texinfo, texlive, libreadline-dev, libcairo-dev, dpkg (>= 1.15.4) | install-info, pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: malaga-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: malaga-doc, info | info-browser
Suggests: malaga-mode
Description: System for automatic language analysis
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains a set of standalone programs that can be
 used in developing and playing with grammars and morphologies.
 One of the programs uses a Tk/TCL module for displaying
 graphical analysis trees.

Package: libmalaga7
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmalaga1-dev, libmalaga2-dev
Description: Automatic language analysis library
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 .
 This package contains the shared library supporting other
 programs that use the Malaga engine.  Malaga itself does
 not use this library.

Package: libmalaga-dev
Architecture: any
Section: libdevel
Depends: libmalaga7 (=${binary:Version}), libglib2.0-dev, ${misc:Depends}
Conflicts: libmalaga1-dev, libmalaga2-dev
Suggests: malaga-bin
Description: Developer's library for automatic language analysis
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the static library and header file
 for developing programs that use the Malaga engine.

Package: malaga-doc
Architecture: all
Section: doc
Suggests: malaga-bin, doc-base
Depends: ${misc:Depends}
Description: Documentation for an automatic language analysis system
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the Malaga documentation in HTML and
 PostScript, DVI, and PDF.  To read it you will need appropriate
 viewers.  The malaga-bin package contains documentation in
 info format.

Package: malaga-mode
Section: editors
Architecture: all
Suggests: malaga-bin
Depends: emacs | emacsen, ${misc:Depends}
Description: System for automatic language analysis - emacs mode
 Malaga is a system for implementing natural language analysers:
 both grammars and morphologies can be created.
 You will not be needing this package if you do not intend
 to do research on computer linguistics or develop computer
 programs that need to do advanced processing of natural
 languages.
 .
 This package contains the emacs malaga-mode.

=== debian/rules ===
#!/usr/bin/make -f

# Ensure texlive respects SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE=1

export INSTALL=install --strip-program=true

%:
	dh $@

override_dh_auto_clean:
	rm -rf build-doc
	dh_auto_clean

override_dh_auto_configure-indep:
	mkdir -p build-doc
	cd build-doc && ../configure --prefix=/usr

override_dh_auto_build-indep:
	$(MAKE) -C build-doc dvi html ps pdf

override_dh_install-indep:
	# install malaga.el as malaga-mode.el
	rm -f $(CURDIR)/debian/tmp/usr/share/malaga/malaga.el
	mkdir -p $(CURDIR)/debian/tmp/usr/share/malaga/
	mv $(CURDIR)/malaga.el $(CURDIR)/debian/tmp/usr/share/malaga/malaga-mode.el
	dh_install -i

override_dh_install-arch:
	for file in debian/tmp/usr/lib/*/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done
	dh_install -a
	cp -a $(CURDIR)/README.txt $(CURDIR)/debian/malaga-bin/usr/share/doc/malaga-bin/README

override_dh_missing:
	dh_missing --list-missing
